﻿Public Class ImageInfo
    Public Property 画像名 As String
    Public Property ファイル名 As String
End Class
Public NotInheritable Class MainPage
    Inherits Page

    Protected Overrides Sub OnNavigatedTo(e As NavigationEventArgs)
        Dim xmldoc As XElement = XElement.Load("Images.xml")
        Dim myImageInfo As New List(Of ImageInfo)
        For Each result In From c In xmldoc.Descendants("画像名") Select c
            myImageInfo.Add(New ImageInfo With {.画像名 = "ms-appx:///Images/" & result.Value, .ファイル名 = result.Value})
        Next
        GridView1.ItemsSource = myImageInfo
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub GridView1_Loaded(sender As Object, e As RoutedEventArgs) Handles GridView1.Loaded
        GridView1.Focus(Windows.UI.Xaml.FocusState.Keyboard)
        GridView1.SelectedIndex = GridView1.Items.Count - 1
        GridView1.ScrollIntoView(GridView1.SelectedItem)
    End Sub
End Class
